Inhoud

# Functie IsUnoStruct

Geeft Waar terug als het gegeven object een Uno-struct is.

### Syntaxis:

IsUnoStruct(Unotype)

### Retourtype:

Boolean

### Parameters:

Unotype: een Uno-object.

### Voorbeeld:

    Sub Main
    Dim bIsStruct
    ' Activeer een service
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Geeft Onwaar weer omdat oSimpleFileAccess GEEN struct is
    ' Maak een Property-struct
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Geeft Waar weer omdat aEigenschap een struct is
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Geeft Onwaar weer omdat 42 GEEN struct is.
    End Sub